<?php

function softaculousHtaccessRewrite($installation) {
    if($installation[0]["sid"] == 26) {
        $config_file = "/usr/local/cpanel/whostmgr/docroot/cgi/softaculous/conf/custom_htaccess";
        $htaccess_file = $installation[0]["softpath"] . "/.htaccess";

        // Getting custom .htaccess code
        if(file_exists($config_file)){

            $f = fopen($config_file, "r");
            $contents = fread($f, filesize($config_file));
            fclose($f);

            // Adding header
            file_put_contents($htaccess_file, "\n\n# BEGIN Security Block\n" , FILE_APPEND | LOCK_EX);

            // Adding meat
            file_put_contents($htaccess_file, $contents , FILE_APPEND | LOCK_EX);

            // Adding footer
            file_put_contents($htaccess_file, "\n# END Security Block\n" , FILE_APPEND | LOCK_EX);
        }
    }
}

?>
